import { Signal } from '@tempots/dom';
import { Mark, MarkType, NodeType } from 'prosemirror-model';
import { EditorState } from 'prosemirror-state';
import { EditorView } from 'prosemirror-view';
export declare function isMarkActive(state: EditorState, markType: MarkType): boolean;
export declare function getMarkByType(state: EditorState, markType: MarkType): Mark | null;
export declare function makeActiveMarkSignal(state: Signal<number>, view: Signal<EditorView>, markType: string): import("@tempots/dom").Computed<boolean>;
/**
 * Check if a node type is active at the current selection
 */
export declare function isNodeActive(state: EditorState, nodeType: NodeType, attrs?: Record<string, unknown>): boolean;
export declare function makeActiveNodeSignal(state: Signal<number>, view: Signal<EditorView>, nodeTypeName: string, attrs?: Record<string, unknown>): import("@tempots/dom").Computed<boolean>;
